Reprint-label
curl --request POST \
--url https://api-stage.orchestro.ai/e1/api/v1/core/reprint-labels \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"accounts": [
{
"accountNumber": "AC0088",
"accountType": "SHIPPER"
}
],
"callerType": "SHIPPER",
"labels": [
{
"format": "PNG",
"id": "PEBMLQJ7"
}
]
}
'import requests
url = "https://api-stage.orchestro.ai/e1/api/v1/core/reprint-labels"
payload = {
"accounts": [
{
"accountNumber": "AC0088",
"accountType": "SHIPPER"
}
],
"callerType": "SHIPPER",
"labels": [
{
"format": "PNG",
"id": "PEBMLQJ7"
}
]
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accounts: [{accountNumber: 'AC0088', accountType: 'SHIPPER'}],
callerType: 'SHIPPER',
labels: [{format: 'PNG', id: 'PEBMLQJ7'}]
})
};
fetch('https://api-stage.orchestro.ai/e1/api/v1/core/reprint-labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"errors": [
{
"code": "ERR-3205",
"message": "Can not get the cancelled Label."
}
],
"labelId": "PEBMLQJ7"
}
]Reprint
Reprint-label
This endpoint allows users to reprint shipping labels by providing account details, caller type, and label information. It returns the label ID or any errors encountered during the process.
POST
/
api
/
v1
/
core
/
reprint-labels
Reprint-label
Authorizations
Body
application/json
The request body for this endpoint accepts a JSON object that contains account details, caller type, and label information required to reprint shipping labels.
A list of accounts involved in the label reprint request.
Show child attributes
Show child attributes
Example:
[
{
"accountNumber": "AC0088",
"accountType": "SHIPPER"
}
]
The type of entity making the reprint request (e.g., SHIPPER or CARRIER).
Example:
"SHIPPER"
A list of labels to be reprinted, including the format and unique label ID.
Show child attributes
Show child attributes
Example:
[{ "format": "PNG", "id": "PEBMLQJ7" }]
Response
200 - application/json
Reprint Successful
⌘I